Skip to content
POST /unified/crm/accounts/merge

Query Parameters

Refer Specifying query parameters in Truto APIs

Show Truto-specific parameters
integrated_account_idstring · uuid
required·

The ID of the integrated account to use for the request.

Example: 62f44730-dd91-461e-bd6a-aedd9e0ad79d
truto_response_formatstring

The format of the response.

  • unified returns the response with unified mappings applied.
  • raw returns the unprocessed, raw response from the remote API.
  • normalized applies the unified mappings and returns the data in a normalized format.
  • stream returns the response as a stream, which is ideal for transmitting large datasets, files, or binary data. Using streaming mode helps to efficiently handle large payloads or real-time data flows without requiring the entire data to be buffered in memory.

Defaults to unified.

Example: unified
Possible values:
unifiedrawnormalizedstream
truto_ignore_remote_databoolean

Excludes the remote_data attribute from the response.

truto_exclude_fieldsstring[]

Array of fields to exclude from the response.

Example: truto_exclude_fields[]=id&truto_exclude_fields[]=name
remote_queryRecord<string, any>

Query parameters to pass to the underlying API without any transformations. Refer this guide to see how to structure the query parameters.

Example: remote_query[foo]=bar

Request Body

Refer Writing data using Unified APIs

duplicate_recordsobject[]

The duplicate account records to merge into the master account. Zoho supports up to two duplicate records.

5 supported5 required
Microsoft Dynamics 365 Sales
required
HubSpot
required
Pipedrive
required
Salesforce
required
Zoho CRM
required
fieldsobject[]
required·

The fields from this duplicate account whose values should be used in the merged record.

2 properties
namestring
required·

The unified field name from the fields API to include in the merge.

valueobject[]

Optional file or image identifiers to retain for this field.

1 property
idstring
required·

The unique identifier of the file or image to retain for this field.

idstring
required·

The unique identifier of the duplicate account to merge.

master_recordobject

The account record to keep after the merge.

5 supported5 required
Microsoft Dynamics 365 Sales
required
HubSpot
required
Pipedrive
required
Salesforce
required
Zoho CRM
required
idstring
required·

The unique identifier of the account to keep after the merge.

remote_dataRecord<string, any>

Any additional data that should be passed as part of the request body. This data is not transformed by Truto and is passed as is to the remote API.

Response Body

idstring
required·

The account's unique identifier

4 supported
Microsoft Dynamics 365 Sales
supported
HubSpot
supported
Pipedrive
supported
Zoho CRM
supported
addressesobject[]
1 supported
HubSpot
supported
citystring

The city

countrystring

The country

idstring

The unique identifier of the address

postal_codestring

The postal code

statestring

The state

street_1string

Line 1 of the street address

street_2string

Line 2 of the street address

typestring

The address type

created_atstring · date-time

The date and time of the account's creation

1 supported
HubSpot
supported
custom_fieldsRecord<string, any>

All the custom fields present on the account

1 supported
HubSpot
supported
descriptionstring

The account's description

1 supported
HubSpot
supported
industrystring

The account's industry

1 supported
HubSpot
supported
last_activity_atstring · date-time

The date and time of the account's last activity

1 supported
HubSpot
supported
namestring

The account's name

1 supported
HubSpot
supported
number_of_employeesinteger

The account's number of employees

1 supported
HubSpot
supported
ownerobject

The account's owner

1 supported
HubSpot
supported
idstring

The owner's unique identifier

phone_numbersobject[]
1 supported
HubSpot
supported
extensionstring

The extension of the phone number

idstring

The unique identifier of the phone number

numberstring

The phone number

typestring

The phone number type

remote_dataRecord<string, any>

Raw data returned from the remote API call.

tagsobject[]

The contact's tags

idstring

The tag's unique identifier

namestring

The tag's name

updated_atstring · date-time

The date and time of the account's last update

1 supported
HubSpot
supported
urlsobject[]

The account's urls

typestring

The account's URL type

urlstring

The account's URL

websitestring

The account's website

1 supported
HubSpot
supported
curl -X POST 'https://api.truto.one/unified/crm/accounts/merge?integrated_account_id=<integrated_account_id>' \
  -H 'Authorization: Bearer <your_api_token>' \
  -H 'Content-Type: application/json' \
  -d '{
  "master_record": {},
  "duplicate_records": [],
  "remote_data": {}
}'
const integratedAccountId = '<integrated_account_id>';

const body = {
  "master_record": {},
  "duplicate_records": [],
  "remote_data": {}
};

const response = await fetch(`https://api.truto.one/unified/crm/accounts/merge?integrated_account_id=${integratedAccountId}`, {
  method: 'POST',
  headers: {
    'Authorization': 'Bearer <your_api_token>',
    'Content-Type': 'application/json',
  },
  body: JSON.stringify(body),
});

const data = await response.json();
console.log(data);
import requests

url = "https://api.truto.one/unified/crm/accounts/merge"
headers = {
    "Authorization": "Bearer <your_api_token>",
    "Content-Type": "application/json",
}
params = {
    "integrated_account_id": "<integrated_account_id>"
}
payload = {
    "master_record": {},
    "duplicate_records": [],
    "remote_data": {}
}

response = requests.post(url, headers=headers, params=params, json=payload)
print(response.json())
import Truto from '@truto/truto-ts-sdk';

const truto = new Truto({
  token: '<your_api_token>',
});

// Custom method: merge
const result = await truto.unifiedApi.merge(
  'crm',
  'accounts',
  { integrated_account_id: '<integrated_account_id>' }
);

console.log(result);
import asyncio
from truto_python_sdk import TrutoApi

truto_api = TrutoApi(token="<your_api_token>")

async def main():
    # Custom method: merge
    result = await truto_api.unified_api.merge(
        "crm",
        "accounts",
        {"integrated_account_id": "<integrated_account_id>"}
    )
    print(result)

asyncio.run(main())